/usr/lib/ubiquity/user-setup/user-setup-apply: ligne 165 : [: 5 : unary operator expected

Bug #1066256 reported by Jean-Baptiste Lallement on 2012-10-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
user-setup (Ubuntu)
High
Colin Watson
Quantal
High
Colin Watson

Bug Description

Quantal Desktop 20121012.3

From syslog after an OEM installation
Oct 13 10:58:07 oem-VirtualBox ubiquity: stat:
Oct 13 10:58:07 oem-VirtualBox ubiquity: impossible d'évaluer «»
Oct 13 10:58:07 oem-VirtualBox ubiquity: : Aucun fichier ou dossier de ce type
Oct 13 10:58:07 oem-VirtualBox ubiquity:
Oct 13 10:58:07 oem-VirtualBox ubiquity: /usr/lib/ubiquity/user-setup/user-setup-apply: ligne 165 : [: 5 : opérateur unaire attendu
Oct 13 10:58:07 oem-VirtualBox ubiquity: INFO: Setting up swap: [/dev/sda1]

165: if [ $(stat -c %d "$ROOT/dev") -eq $(stat -c %d "$ROOT") ]; then

Should probably be
if [ $(stat -c %d "$ROOT/dev") -eq $(stat -c %d "$ROOT/") ]; then

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: ubiquity (not installed)
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
Date: Sat Oct 13 12:22:18 2012
InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper only-ubiquity initrd=/casper/initrd.lz quiet splash -- apt-setup/restricted=false apt-setup/multiverse=false oem-config/enable=true
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121012.3)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: grub-installer
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
affects: grub-installer (Ubuntu) → ubiquity (Ubuntu)
description: updated
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1066256

tags: added: iso-testing
Colin Watson (cjwatson) on 2012-10-15
affects: ubiquity (Ubuntu) → user-setup (Ubuntu)
Colin Watson (cjwatson) on 2012-10-15
Changed in user-setup (Ubuntu):
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-setup - 1.46ubuntu2

---------------
user-setup (1.46ubuntu2) quantal; urgency=low

  * Fix syntax error in user-setup-apply if $ROOT is unset (LP: #1066256).
 -- Colin Watson <email address hidden> Mon, 15 Oct 2012 10:37:57 +0100

Changed in user-setup (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers